#
# spec file for package python-diff_match_patch
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-diff_match_patch
Version:        20181111
Release:        bp153.1.13
Summary:        Python Diff, Match and Patch library for Plain Text
License:        Apache-2.0
Group:          Development/Libraries/Python
URL:            https://github.com/diff-match-patch-python/diff-match-patch
Source:         https://files.pythonhosted.org/packages/source/d/diff-match-patch/diff-match-patch-%{version}.tar.gz
BuildRequires:  %{python_module setuptools >= 38.6.0}
BuildRequires:  fdupes
BuildArch:      noarch
%python_subpackages

%description
Repackaging of Google's Diff Match and Patch libraries. Offers robust algorithms
to perform the operations required for synchronizing plain text

%prep

%setup -q -n diff-match-patch-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec -m unittest -v diff_match_patch.tests

%files %{python_files}
%{python_sitelib}/diff_match_patch
%{python_sitelib}/diff_match_patch-%{version}-py%{py_ver}.egg-info

%changelog
* Wed Apr  3 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update setuptools minimal version based on the upstream
  Requirements
* Mon Mar 18 2019 Tomáš Chvátal <tchvatal@suse.com>
- Fix the fdupes call
- Run the tests
* Fri Mar 15 2019 Luiz Fernando Ranghetti <elchevive@opensuse.org>
- updated to version 20181111
  (unofficial, no changelog available)
- update URLs, change source from zip to tar.gz and make it singlespec
* Wed May 11 2016 jmatejek@suse.com
- added setup.py from the unofficial package on PyPI, in order to
  generate egg-info for packages that require it
* Mon Feb 25 2013 elchevive@opensuse.org
- updated to version 20121119
  * Removing long/shorttext scoping or dereferencing in all languages
  * Modifying Lua's module structure to work consistently
  * Update Dart port to latest Dart language verison
  * Fix typos in demo_patch.html
* Thu Jan  3 2013 toddrme2178@gmail.com
- Fix building on SLES 11
* Sat May  5 2012 elchevive@opensuse.org
- fix python2.4 hardcoded - use '/usr/bin/env python2' instead
* Tue Mar 20 2012 elchevive@opensuse.org
- update to version 20120106 and spec cleanning
* Wed Aug 12 2009 nix@opensuse.org
- first build
